﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace hesapMakinesi
{
    public partial class Form1 : Form
    {
        private String islem;
        private double sayi1, sayi2, sonuc;
        private int islemNo = 0;

        public Form1()
        {
            InitializeComponent();
        }

        private double sayiyiAl() 
        {
            if (mtxtEkran.Text.Length > 0)
                return double.Parse(mtxtEkran.Text);
            return 0;
        }

        private void btnNumeric_Click(object sender, EventArgs e)
        {
            mtxtEkran.Text += ((Button)sender).Text;
        }

        private void btnOperation_Click(object sender, EventArgs e)
        {
            //MessageBox.Show("İşlem");
            islem = ((Button)sender).Text;
            sayi1 = sayiyiAl();
            mtxtEkran.Text = "";
        }

        private void btnEnter_Click(object sender, EventArgs e)
        {
            sayi2 = sayiyiAl();
            switch (islem)
            {
                case "+":
                    sonuc = sayi1 + sayi2;
                    break;
                case "-":
                    sonuc = sayi1 - sayi2;
                    break;
                case "*":
                    sonuc = sayi1 * sayi2;
                    break;
                case "/":
                    sonuc = sayi1 / sayi2;
                    break;
                default:

                    break;
            }
            mtxtEkran.Text = sonuc.ToString();
            
            ++islemNo;

            string gecmisIslem = islemNo.ToString() +
                                ". " +
                                sayi1.ToString() +
                                islem +
                                sayi2.ToString() +
                                " = " +
                                sonuc.ToString();
            
            lstGecmis.Items.Add(gecmisIslem);
        }

        private void btnGemisiTemizle_Click(object sender, EventArgs e)
        {
            lstGecmis.Items.Clear();
            islemNo = 0;
        }

        private void mtxtEkran_TextChanged(object sender, EventArgs e)
        {
            mtxtEkran.Text = sayiyiAl().ToString();
        }

        private void btnSayiyiSil_Click(object sender, EventArgs e)
        {
            mtxtEkran.Text = "";
        }

        private void btnBasamakSil_Click(object sender, EventArgs e)
        {
            if (mtxtEkran.Text.Length > 0)
                mtxtEkran.Text = mtxtEkran.Text.Remove(mtxtEkran.Text.Length - 1);
        }

        private void gecmisiSilToolStripMenuItem_Click(object sender, EventArgs e)
        {
            btnGemisiTemizle_Click(sender, e);
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            DialogResult dr = MessageBox.Show("Programı Kapatmak İstediğinize Eminmisiniz",
                            "Kapat",
                            MessageBoxButtons.OKCancel,
                            MessageBoxIcon.Exclamation);

            if (dr == DialogResult.Cancel)
                e.Cancel = true;
        }
    }
}
